Name:          pcsclite-driver-ccid
Version:       1.6.2
Release:       1mamba
Summary:       A generic USB CCID (Chip/Smart Card Interface Devices) driver
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://ccid.apdu.fr/
Source:        https://ccid.apdu.fr/files/ccid-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libusb-devel
## AUTOBUILDREQ-END
Provides:      libccid

%description
This package provides the source code for a generic USB CCID (Chip/Smart Card Interface Devices) driver and  ICCD (Integrated Circuit(s) Card Devices).


%prep
%setup -q -n ccid-%{version}

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/pcsc/drivers/ifd-ccid.bundle/Contents/Info.plist
%{_libdir}/pcsc/drivers/ifd-ccid.bundle/Contents/Linux/libccid.so
%doc AUTHORS COPYING

%changelog
* Thu Mar 20 2025 Automatic Build System <autodist@openmamba.org> 1.6.2-1mamba
- automatic version update by autodist

* Thu Jul 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-1mamba
- update to 1.6.1

* Fri Jan 05 2024 Automatic Build System <autodist@openmamba.org> 1.5.5-1mamba
- automatic version update by autodist

* Mon Oct 30 2023 Automatic Build System <autodist@mambasoft.it> 1.5.4-1mamba
- automatic version update by autodist

* Thu Oct 26 2023 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Wed Feb 01 2023 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Tue Nov 15 2022 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Thu Jan 27 2022 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Mon Aug 30 2021 Automatic Build System <autodist@mambasoft.it> 1.4.36-1mamba
- automatic version update by autodist

* Mon Jul 26 2021 Automatic Build System <autodist@mambasoft.it> 1.4.35-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 1.4.34-1mamba
- automatic version update by autodist

* Sun Dec 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.30-1mamba
- update to 1.4.30

* Fri Apr 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3-1mamba
- update to 1.4.3

* Mon Jun 30 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.8-1mamba
- package created by autospec [Stativa]
